Consultar llamada WhatsApp
curl --request GET \
--url https://api.notifique.dev/v1/whatsapp/calls/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/whatsapp/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/whatsapp/calls/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/whatsapp/calls/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}Llamadas
Consultar llamada WhatsApp
Consulta estado, duración, motivo de cierre y (opcional) eventos de la llamada.
GET
/
v1
/
whatsapp
/
calls
/
{id}
Consultar llamada WhatsApp
curl --request GET \
--url https://api.notifique.dev/v1/whatsapp/calls/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/whatsapp/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/whatsapp/calls/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/whatsapp/calls/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}Autorizaciones
ntfWaBearerAuthntfWaApiKeyHeader
API Key no header Authorization. Exemplo: Authorization: Bearer sk_live_xxxxx
Parámetros de ruta
Parámetros de consulta
Si es true, incluye events en la respuesta.
Opciones disponibles:
true, false Respuesta
Detalle de la llamada.
Ejemplo:
true
Show child attributes
Show child attributes
Ejemplo:
{ "id": "clxx...", "workspaceId": "clxx...", "instanceId": "clxx...", "connectionKind": "string", "direction": "OUTBOUND", "to": "5511999999999", "status": "QUEUED", "type": "speak", "speakText": "string", "playAudioUrl": "string", "providerCallId": "clxx...", "answeredAt": "2025-02-10T14:00:00.000Z", "endedAt": "2025-02-10T14:00:00.000Z", "durationSecs": 1, "hangupReason": "string", "errorCode": "string", "errorMessage": "string", "clientState": "string", "metadata": {}, "createdAt": "2025-02-10T14:00:00.000Z", "updatedAt": "2025-02-10T14:00:00.000Z" }
¿Esta página le ayudó?

